Subject: bug#16621: 24.3.50; Periodic timer + overlays = flickering near point

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Feb 2014 13:57:43 -0500

> I thought I explained a few messages back what "flag" is that: the
> moment we redisplay the echo area, we are forced to call update_frame,
> for the selected frame, which will redraw the cursors of that frame's
> windows (and also its fringes, btw).

We can probably refine update_frame then, so it only redraws the windows
that have changed, which can be recognized thanks to a flag such as
`redisplay' or a new flag if that one can't be used (under ttys, the
redraw is really frame-wide so that wouldn't apply, but for GUIs that
should not be a problem).

        Stefan